function map = disktuttemap(vertex, face, bdy_index,bdy)

% vertex: nx3
% face: mx3
% bd: kx1 array
%%
numofv = length(vertex);

W = compute_adjacency_matrix(face)/2; 
M = W + sparse(1:numofv,1:numofv,-diag(W)-(sum(W)'), numofv, numofv);

%%
[mrow,mcol,mval] = find(M(bdy_index,:));
M = M - sparse(bdy_index(mrow), mcol, mval, numofv, numofv) + ...
        sparse(bdy_index, bdy_index, ones(length(bdy_index),1), numofv, numofv);
    
%%
b = zeros(numofv,1);

b(bdy_index) = bdy;

z = M\b;
map = [real(z),imag(z),ones(numofv,1)];