function z = mesh2disk(v,f,bdy_index,bdy,M)

numofv = size(v,1); 

fixed = bdy_index;
[mrow,mcol,mval] = find(M(fixed,:));
M = M - sparse(fixed(mrow),mcol,mval,numofv, numofv) + ...
        sparse(fixed,fixed,ones(length(fixed),1),numofv, numofv);

%% Solve matrix equation

c = zeros(numofv,1); c(fixed) = bdy;
z = M \ c;
