function plot_mesh(v,f,arg3)

if nargin < 3
    graph = figure; patch('Faces',f','Vertices',v','FaceColor','none',...
        'EdgeColor',[64,150,190]/255,'LineWidth',0.5);
    axis equal
    axis tight
    axis('off');
    set(gcf,'color','w'); 

else
    graph = figure; patch('Faces',f','Vertices',v','FaceColor','flat','FaceVertexCData',arg3,...
        'EdgeColor','none', 'LineWidth',0.1);
    colorbar
    axis equal
    axis tight
    colormap('Copper');
    shading interp;
    colorbar('off'); 
    axis('off');
    set(gcf,'color','w'); 
end

end