function e = edge_length(vertex, edgeid)

edgeid_temp = [edgeid;edgeid(1)]; edgeid_temp(1) = [];
switch size(vertex,2)
    
    case 1
        e= sqrt(abs(vertex(edgeid,1) -  vertex(edgeid_temp,1)).^2);

    case 2
        e= sqrt((vertex(edgeid,1) -  vertex(edgeid_temp,1)).^2 + ...
            (vertex(edgeid,2) -  vertex(edgeid_temp,2)).^2);

    case 3
        e = sqrt((vertex(edgeid,1) -  vertex(edgeid_temp,1)).^2 + ...
            (vertex(edgeid,2) -  vertex(edgeid_temp,2)).^2 + ...
            (vertex(edgeid,3) -  vertex(edgeid_temp,3)).^2);

    otherwise
        error('The vertex input is incorrect.\n');
end